aboutsummaryrefslogtreecommitdiffstats
path: root/main/gobject-introspection/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-10-22 16:27:53 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-10-22 16:27:53 +0000
commit0975c61de8c50ba9675ec76f0c275f2fe43a2413 (patch)
treebec0c3712163b13b7e2f2a7f007b9fd8b500246e /main/gobject-introspection/APKBUILD
parent972f4cacc1f201eaa440d2b9f91f8a47033f6543 (diff)
downloadaports-0975c61de8c50ba9675ec76f0c275f2fe43a2413.tar.gz
aports-0975c61de8c50ba9675ec76f0c275f2fe43a2413.tar.bz2
aports-0975c61de8c50ba9675ec76f0c275f2fe43a2413.tar.xz
main/gobject-introspection: upgrade to 0.9.12
Diffstat (limited to 'main/gobject-introspection/APKBUILD')
-rw-r--r--main/gobject-introspection/APKBUILD18
1 files changed, 15 insertions, 3 deletions
diff --git a/main/gobject-introspection/APKBUILD b/main/gobject-introspection/APKBUILD
index 4ec72bcd61..432001536e 100644
--- a/main/gobject-introspection/APKBUILD
+++ b/main/gobject-introspection/APKBUILD
@@ -1,6 +1,6 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gobject-introspection
-pkgver=0.9.10
+pkgver=0.9.12
pkgrel=0
pkgdesc="Introspection system for GObject-based libraries"
url="http://live.gnome.org/GObjectInstrospection"
@@ -13,9 +13,21 @@ source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/${pkgver%.*}/$pkgname-$p
subpackages="$pkgname-doc libgirepository"
_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch)
+ msg "Applying $i"
+ patch -p1 -i "$srcdir"/$i || return 1
+ ;;
+ esac
+ done
+}
+
build() {
cd "$_builddir"
- export CPPFLAGS=
+# export CPPFLAGS=
./configure --prefix=/usr --disable-static || return 1
# FIXME: parallel builds is broken
make -j1 || return 1
@@ -33,4 +45,4 @@ libgirepository() {
mv "$pkgdir"/usr/lib/libgirepository*.so* "$subpkgdir"/usr/lib/
}
-md5sums="e5cd63d6bcc5c105e898e7c33cf42175 gobject-introspection-0.9.10.tar.bz2"
+md5sums="260ba5e77b5c0de0e7d8faf63ecbfee7 gobject-introspection-0.9.12.tar.bz2"